;*********************************************************************
;*   MLCREDIT.ASM                                                    *
;*                                                                   *
;*   By:            Michael Devore                                   *
;*   Date:          05/11/93                                         *
;*   Model:         Small                                            *
;*   Version:       2.5                                              *
;*   Assembler:     MASM 5.0                                         *
;*   Environment:   MS-DOS 2.x+                                      *
;*                                                                   *
;*   display linker copyright/credit line                            *
;*                                                                   *
;*********************************************************************

;TITLE   WARPLINK mlcredit
;PAGE    50,80

;.MODEL  SMALL

;*****************************
;* Include files             *
;*****************************

%include "mlequate.mac"
%include "mldata.mac"
     
;*****************************
;* Public declarations       *
;*****************************

PUBLIC  credits

;*****************************
;* Constant data             *
;*****************************

.CONST

credline    DB  CR,LF
            db LINKER,' release 0 by ecm (2024 August), Michael Devore (1989-1993).',CR,LF
            db 'Public Domain software, all copyrights surrendered.',CR,LF
credlen     EQU $-credline

.CODE

;*****************************
;* Code begins               *
;*****************************

credits     PROC
    mov ah,40h              ; write to file or device
    mov bx,STDOUT           ; write to standard output device
    mov dx,OFFSET credline wrt DGROUP   ; ds:dx == segment:offset of buffer area
    mov cx,credlen          ; number of bytes to write
    int 21h
    ret
credits     ENDP

END
